# PROJECT-NAME-api service:
# + postgres db

volumes:
  db-data:

networks:
  pk-templates:

secrets:
  # will be mounted as `/run/secrets/db-password` file
  # in containers that use the secret
  db-password:
    file: ../.db-password

services:
  PROJECT-NAME-api:
    image: ${IMAGE}
    restart: on-failure:5
    build:
      context: ../../../
      dockerfile: ./projects/PROJECT-NAME-api/Containerfile
      args:
        VERSION: ${VERSION}
        UBERJAR: ${UBERJAR}
    depends_on:
      - postgres
    secrets:
      - db-password
    ports:
      - ${PORT}:8888
      # nREPL
      - 3131:3131
    environment:
      PROFILE: ${PROFILE}
      CONFIG: ${CONFIG}
    networks:
      - pk-templates

  postgres:
    image: postgres:15.1
    restart: always
    secrets:
      - db-password
    ports:
      - 5432:5432
    expose:
      - 5432
    volumes:
      - db-data:/var/lib/postgresql/data
      - ./postgres/PROJECT-NAME-api.init.sh:/docker-entrypoint-initdb.d/PROJECT-NAME-api.init.sh
    environment:
      PROFILE:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD_FILE: /run/secrets/db-password
    networks:
      - pk-templates
